Subject: Re: [PATCH net-next 0/4] net-sysfs: remove the rtnl_trylock/restart_syscall construction

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Jan 2025 11:40:45 -0800

On Fri, 17 Jan 2025 11:26:07 +0100 Antoine Tenart wrote:
> The series initially aimed at improving spins (and thus delays) while
> accessing net sysfs under rtnl lock contention[1]. The culprit was the
> trylock/restart_syscall constructions. There wasn't much interest at the
> time but it got traction recently for other reasons (lowering the rtnl
> lock pressure).

Sorry for the flip flop but would you mind if we applied this right
after the merge window? It doesn't feel super risky, but on the small
chance that it does blow up - explaining why we applied it during 
the MW would be more of an apology..